Constant
Contact
API Guide
Technology Partner WebhooksGet a Partner Webhook

Get a Partner Webhook

Make a GET call to the partner/webhooks/subscriptions/{topic_id} endpoint to get details about a single webhook subscription for your application.

JSON Schema

The following describes the JSON schema that is returned in the response body:

  • topic_id: The ID that identifies the type of topic. Supported types include:

    • 1: Billing Tier Upgrade
    • 2: Bill Tier Downgrade
    • 3: Account Cancelled
    • 4: Account Disabled
  • hook_uri: The webhook callback URI that Constant Contact uses to notify you about a topic. The URI must begin with https:// and be no more than 512 characters in length.

    For example: https://www.examplename.com/webhooks/billingTier

  • topic_name: The name of the topic.

    For example: Billing Tier Downgrade

  • topic_description: Describes the topic and when to expect to be notified.

    For example: Executes when an accounts's billing tier is downgraded.

Example GET all Webhooks Request

GET
https://api.cc.email/v3/partner/webhooks/subscriptions/2
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
  .url("https://api.cc.email/v3/partner/webhooks/subscriptions/2")
  .get()
  .addHeader("Accept", "*/*")
  .addHeader("Content-Type", "application/json")
  .addHeader("Authorization", "{access_token}")
  .addHeader("x-api-key", "40a0b12-342b-436d-97c3-000000000000")
  .addHeader("Cache-Control", "no-cache")
  .addHeader("Host", "your.host.com")
  .addHeader("Accept-Encoding", "gzip, deflate")
  .addHeader("Connection", "keep-alive")
  .addHeader("cache-control", "no-cache")
  .build();

Response response = client.newCall(request).execute();

JSON Response

[
  {
    "id":"2",
    "name":"Billing Tier Downgrade",
    "description":"Executes when an account's billing tier is downgraded",
    "callback_uri":"https://my.host.com/webhooks"
  }
]
View it!

Although technology partner endpoints cannot be tested using our API Reference Tester, response samples and schema are available to view for this endpoint.

On this page